## usplash-theme-clonezilla 0.3-ubuntu1

=== Makefile ===
CC=gcc
CFLAGS=-g -Wall -fPIC
LDFLAGS=
INCLUDES=

COMPILE = $(CC) $(INCLUDES) $(CFLAGS)
LINK = $(CC) $(CFLAGS) $(LDFLAGS)

INSTALL = /usr/bin/install -c
INSTALL_DATA = $(INSTALL) -m 644
INSTALL_PROGRAM = $(INSTALL) -m 755

clonezilla-theme.so: clonezilla_640_400.png.c.o clonezilla_640_480.png.c.o throbber_fore.png.c.o throbber_back.png.c.o clonezilla-theme.c.o helvB10.bdf.c.o
	$(COMPILE) -shared -o $@ $^
	
%.png.c: %.png
	pngtousplash $< > $@

%.bdf.c: %.bdf
	bdftousplash $< > $@

%.c.o: %.c
	$(COMPILE) -o $@ -c $<

install:
	$(INSTALL) -d $(DESTDIR)/usr/lib/usplash
	$(INSTALL_PROGRAM) clonezilla-theme.so $(DESTDIR)/usr/lib/usplash/clonezilla-theme.so
clean:
	rm -f *.png.c *.bdf.c *.c.o *.so

=== debian/changelog ===
usplash-theme-clonezilla (0.3-ubuntu1) UNSTABLE; urgency=low

  * Recompiled on Karmic.

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 29 Oct 2009 21:49:00 +0800

usplash-theme-clonezilla (0.3) UNSTABLE; urgency=low

  * Change progressbar color
  * add 19:9 png
  * compile for karmic

 -- thomas <thomas@ubuntu>  Thu, 29 Oct 2009 00:01:34 -0700

usplash-theme-clonezilla (0.2) UNSTABLE; urgency=low

  * Update Clonezilla logo, progressbar
  * Remove text area
  * Fix progress

 -- Thomas Tsai <thomas@nchc.org.tw>  Thu, 29 Oct 2009 11:55:46 +0800

usplash-theme-clonezilla (0.1) UNSTABLE; urgency=low

  * Initial release.

 -- Thomas Tsai <thomas@nchc.org.tw>  Mon, 26 Oct 2009 21:47:16 +0800

=== debian/control ===
Source: usplash-theme-clonezilla
Section: misc
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: maximilian attems <maks@debian.org>
Uploaders: David Härdeman <david@hardeman.nu>, Petter Reinholdtsen <pere@debian.org>, Otavio Salvador <otavio@debian.org>
Build-Depends: debhelper (>= 7.3.0), libusplash-dev (>= 0.5.49), imagemagick
Standards-Version: 3.7.2.2

Package: usplash-theme-clonezilla
Section: misc
Architecture: amd64 i386 powerpc sparc
Depends: ${shlibs:Depends}
Provides: usplash-theme
Description: Debian usplash theme
 This package contains a usplash theme based on the ideas from the
 Debian Desktop Artwork project.
 .
 See http://wiki.debian.org/DebianDesktopArtwork for more details.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#THEMEDIR=usr/lib/usplash

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	$(MAKE) clean
	dh_clean
	rm -f build-stamp configure-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/usplash-theme-clonezilla/
	find $(CURDIR)/debian/usplash-theme-clonezilla/ -type d -exec chmod 755 {} \;

binary: binary-arch binary-indep

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:
# Nothing to do

.PHONY: configure build clean install binary binary-arch binary-indep
